umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
layoutgenerator.cpp File Reference
`#include "layoutgenerator.h"`
`#include "associationline.h"`
`#include "associationwidget.h"`
`#include "cmds.h"`
`#include "debug_utils.h"`
`#include "floatingtextwidget.h"`
`#include "uml.h"`
`#include "umlwidget.h"`
`#include <KConfigGroup>`
`#include <KDesktopFile>`
`#include <KLocalizedString>`
`#include <QDir>`
`#include <QFile>`
`#include <QHash>`
`#include <QProcess>`
`#include <QRegExp>`
`#include <QStandardPaths>`
`#include <QString>`
`#include <QTemporaryFile>`

## Macros
#define | DBG_SRC QStringLiteral("LayoutGenerator")
#define | LAYOUTGENERATOR_DEBUG

## Functions
static QString | pngViewer ()
static QString | textViewer ()

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("LayoutGenerator")

## ◆ LAYOUTGENERATOR_DEBUG

#define LAYOUTGENERATOR_DEBUG

## Function Documentation

## ◆ pngViewer()

static QString pngViewer | ( |  | ) |
| static

## ◆ textViewer()

static QString textViewer | ( |  | ) |
| static